| Home | Libraries | People | FAQ | More

#### istream_range

###### Prototype

    template< class Type, class Elem, class Traits > inline
    iterator_range< std::istream_iterator<Type, Elem, Traits> >
    istream_range(std::basic_istream<Elem, Traits>& in);

###### Description

`istream_range` is a function to generator that generates an `iterator_range` wrapping a `std::istream_iterator`.

###### Definition

Defined in header file `boost/range/istream_range.hpp`